Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.custom
Class ST

    java.lang.Object
      org.eclipse.swt.custom.ST

public class ST
extends Object

This class provides access to the public constants provided by `StyledText`.

Field Summary
`static int` | `COLUMN_NEXT`
`static int` | `COLUMN_PREVIOUS`
`static int` | `COPY`
`static int` | `CUT`
`static int` | `DELETE_NEXT`
`static int` | `DELETE_PREVIOUS`
`static int` | `DELETE_WORD_NEXT`
`static int` | `DELETE_WORD_PREVIOUS`
`static int` | `LINE_DOWN`
`static int` | `LINE_END`
`static int` | `LINE_START`
`static int` | `LINE_UP`
`static int` | `PAGE_DOWN`
`static int` | `PAGE_UP`
`static int` | `PASTE`
`static int` | `SELECT_COLUMN_NEXT`
`static int` | `SELECT_COLUMN_PREVIOUS`
`static int` | `SELECT_LINE_DOWN`
`static int` | `SELECT_LINE_END`
`static int` | `SELECT_LINE_START`
`static int` | `SELECT_LINE_UP`
`static int` | `SELECT_PAGE_DOWN`
`static int` | `SELECT_PAGE_UP`
`static int` | `SELECT_TEXT_END`
`static int` | `SELECT_TEXT_START`
`static int` | `SELECT_WINDOW_END`
`static int` | `SELECT_WINDOW_START`
`static int` | `SELECT_WORD_NEXT`
`static int` | `SELECT_WORD_PREVIOUS`
`static int` | `TEXT_END`
`static int` | `TEXT_START`
`static int` | `TOGGLE_OVERWRITE`
`static int` | `WINDOW_END`
`static int` | `WINDOW_START`
`static int` | `WORD_NEXT`
`static int` | `WORD_PREVIOUS`

Constructor Summary
`ST()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_UP

    public static final int LINE_UP

See Also:
  Constant Field Values

### LINE_DOWN

    public static final int LINE_DOWN

See Also:
  Constant Field Values

### LINE_START

    public static final int LINE_START

See Also:
  Constant Field Values

### LINE_END

    public static final int LINE_END

See Also:
  Constant Field Values

### COLUMN_PREVIOUS

    public static final int COLUMN_PREVIOUS

See Also:
  Constant Field Values

### COLUMN_NEXT

    public static final int COLUMN_NEXT

See Also:
  Constant Field Values

### PAGE_UP

    public static final int PAGE_UP

See Also:
  Constant Field Values

### PAGE_DOWN

    public static final int PAGE_DOWN

See Also:
  Constant Field Values

### WORD_PREVIOUS

    public static final int WORD_PREVIOUS

See Also:
  Constant Field Values

### WORD_NEXT

    public static final int WORD_NEXT

See Also:
  Constant Field Values

### TEXT_START

    public static final int TEXT_START

See Also:
  Constant Field Values

### TEXT_END

    public static final int TEXT_END

See Also:
  Constant Field Values

### WINDOW_START

    public static final int WINDOW_START

See Also:
  Constant Field Values

### WINDOW_END

    public static final int WINDOW_END

See Also:
  Constant Field Values

### SELECT_LINE_UP

    public static final int SELECT_LINE_UP

See Also:
  Constant Field Values

### SELECT_LINE_DOWN

    public static final int SELECT_LINE_DOWN

See Also:
  Constant Field Values

### SELECT_LINE_START

    public static final int SELECT_LINE_START

See Also:
  Constant Field Values

### SELECT_LINE_END

    public static final int SELECT_LINE_END

See Also:
  Constant Field Values

### SELECT_COLUMN_PREVIOUS

    public static final int SELECT_COLUMN_PREVIOUS

See Also:
  Constant Field Values

### SELECT_COLUMN_NEXT

    public static final int SELECT_COLUMN_NEXT

See Also:
  Constant Field Values

### SELECT_PAGE_UP

    public static final int SELECT_PAGE_UP

See Also:
  Constant Field Values

### SELECT_PAGE_DOWN

    public static final int SELECT_PAGE_DOWN

See Also:
  Constant Field Values

### SELECT_WORD_PREVIOUS

    public static final int SELECT_WORD_PREVIOUS

See Also:
  Constant Field Values

### SELECT_WORD_NEXT

    public static final int SELECT_WORD_NEXT

See Also:
  Constant Field Values

### SELECT_TEXT_START

    public static final int SELECT_TEXT_START

See Also:
  Constant Field Values

### SELECT_TEXT_END

    public static final int SELECT_TEXT_END

See Also:
  Constant Field Values

### SELECT_WINDOW_START

    public static final int SELECT_WINDOW_START

See Also:
  Constant Field Values

### SELECT_WINDOW_END

    public static final int SELECT_WINDOW_END

See Also:
  Constant Field Values

### CUT

    public static final int CUT

See Also:
  Constant Field Values

### COPY

    public static final int COPY

See Also:
  Constant Field Values

### PASTE

    public static final int PASTE

See Also:
  Constant Field Values

### DELETE_PREVIOUS

    public static final int DELETE_PREVIOUS

See Also:
  Constant Field Values

### DELETE_NEXT

    public static final int DELETE_NEXT

See Also:
  Constant Field Values

### DELETE_WORD_PREVIOUS

    public static final int DELETE_WORD_PREVIOUS

See Also:
  Constant Field Values

### DELETE_WORD_NEXT

    public static final int DELETE_WORD_NEXT

See Also:
  Constant Field Values

### TOGGLE_OVERWRITE

    public static final int TOGGLE_OVERWRITE

See Also:
  Constant Field Values

Constructor Detail

### ST

    public ST()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.